{ config, pkgs, ... }:

{
  networking = {
    wireless = {
      enable = true;
      networks = {
        "your-SSID" = {
          psk = "your-wifi-password";
        };
      };
    };
    firewall = {
      enable = true;
      allowedTCPPorts = [ 22 ]; # Allow SSH
    };
    useDHCP = true;
  };
}
